# $Id: cosmosmash.spec.in,v 1.6 2002/04/03 06:11:28 sarrazip Exp $
# Spec file for cosmosmash

# Release number can be specified with rpm --define 'rel SOMETHING' ...
# If no such --define is used, the release number is 1.
#
# Source archive's extension can be specified with rpm --define 'srcext .foo'
# where .foo is the source archive's actual extension.
# To compile an RPM from a .bz2 source archive, give the command
#   rpm -tb --define 'srcext .bz2' cosmosmash-1.2.tar.bz2
#
%if %{?rel:0}%{!?rel:1}
%define rel 1
%endif
%if %{?srcext:0}%{!?srcext:1}
%define srcext .gz
%endif

Summary: Clone of the Intellivision(TM) game Astrosmash(TM). 
Name: cosmosmash
Version: 1.2
Release: %{rel}
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar%{srcext}
URL: http://sarrazip.com/dev/cosmosmash.html
Packager: Pierre Sarrazin
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: gengameng >= 4.0, SDL >= 1.2.0, SDL_image >= 1.2.0

%description
Clone of the Intellivision game Astrosmash.
In this game, you control a base that must destroy
rocks before they hit the ground, or you lose points.
You must also prevent "spinners" from touching the ground,
or your base will explode.

%prep
%setup

%build
./configure --prefix=%{prefix} && make CXXFLAGS="-DNDEBUG -O2"

%install
rm -fR $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fR $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/bin/cosmosmash
%{prefix}/share/pixmaps/cosmosmash.png
%{prefix}/share/gnome/apps/Games/cosmosmash.desktop
%{prefix}/man/man6/cosmosmash.6.gz
